> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/e5fdc10a-d7fa-4687-a6f7-56c29f5d507c/thales-tsh-transaction-notification-passthrough-api.md).

# Thales TSH Transaction Notification Passthrough API

### Overview

The Thales TSH Transaction Notification Passthrough API defines a set of operations that allows the TSH to retrieve the transaction information to be displayed in the device.

The API follows the HTTP protocol with content type in JSON.

The messages are encoded with the UTF-8 character set which is the default set defined for JSON.

The transport security layer relies on HTTP/TLS mutual authentication.

### Download API spec

[tsh-transaction-notification-passthrough-api-oas2.yaml](https://tsh-transaction-notification-passthrough-api-oas2.yaml)

### Endpoints

| Environment | Endpoint URL                                                 |
| ----------- | ------------------------------------------------------------ |
| PPROD       | api.dbp-stg.thalescloud.io:443/tns-dispatcher/tsh/tnapi/v2.0 |
| PROD        | api.dbp.thalescloud.io:443/tns-dispatcher/tsh/tnapi/v2.0     |

### Release Notes

| Release | Date    | Modifications                                                                                                                                                                                                                                                                                                                                 |
| ------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 1.0     | 12/2018 | <ul><li>Initial version.</li></ul>                                                                                                                                                                                                                                                                                                            |
| 1.1     | 07/2019 | <ul><li>Operation 'retrieve-token-transactions' now contains list of 'transactionIds'.</li><li>Both parameters 'transactionId' and 'transactionIdentifier' are merged into 'transactionId'.</li><li>No more tag management in the API.</li><li>Parameter 'IssuerId' removed from the 'POST /retrieve-token-transactions' operation.</li></ul> |
| 1.2     | 10/2019 | <ul><li>Update description of 'transactionResultReason' that is required only for GooglePay solution.</li></ul>                                                                                                                                                                                                                               |
| 1.3     | 10/2019 | <ul><li>Parameter 'transactionId' is reverted to a simple technical identifier.</li><li>Parameter 'walletProviderTransactionId' is added to comply with Wallet Providers specific requirements.</li></ul>                                                                                                                                     |
| 1.4     | 11/2019 | <ul><li>Add error code 119 in 'notify-token-transaction'.</li></ul>                                                                                                                                                                                                                                                                           |
| 1.5     | 07/2020 | <ul><li>Fix wrong description of mCommerce 'walletProviderTransactionId' for Apple Pay.</li></ul>                                                                                                                                                                                                                                             |
| 1.6     | 05/2022 | <ul><li>Parameter 'dpanIdentifier' added in 'retrieve-token-transactions' response. Used to identify auxiliary transaction.</li></ul>                                                                                                                                                                                                         |
| 1.7     | 11/2023 | <ul><li>Added new HTTP header on token transaction notification API in order to indicate which wallet type has performed the transaction</li></ul>                                                                                                                                                                                            |
| 1.8     | 04/2025 | <ul><li>Parameter 'linkedTransactionId' added in 'retrieve-token-transactions' response. Applicable to Google Pay solution. Used in the case of refund in order to link the notification to a previous purchase transaction.</li></ul>                                                                                                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/e5fdc10a-d7fa-4687-a6f7-56c29f5d507c/thales-tsh-transaction-notification-passthrough-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
